import { TestRunnerPlugin } from '@web/test-runner-core';
declare type MousePosition = [number, number];
declare type MouseButton = 'left' | 'middle' | 'right';
export declare type SendMousePayload = MovePayload | ClickPayload | DownPayload | UpPayload;
export declare type MovePayload = {
    type: 'move';
    position: MousePosition;
};
export declare type ClickPayload = {
    type: 'click';
    position: MousePosition;
    button?: MouseButton;
};
export declare type DownPayload = {
    type: 'down';
    button?: MouseButton;
};
export declare type UpPayload = {
    type: 'up';
    button?: MouseButton;
};
export declare function sendMousePlugin(): TestRunnerPlugin<SendMousePayload>;
export {};
//# sourceMappingURL=sendMousePlugin.d.ts.map